<?php

include '../../../script/conexion.php';

$referencia = $_POST['referencia_producto'];

$directorio = "../../../img-ot/";
$target_file = $directorio . basename($_FILES["file"]["name"]);
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
$nombre_archivo = $referencia . "." . $imageFileType;
$target_file = $directorio . $nombre_archivo;

move_uploaded_file($_FILES["file"]["tmp_name"], $target_file);

$sql = "UPDATE producto SET ot='$nombre_archivo' WHERE referencia='$referencia'";
if ($conn->query($sql) === TRUE) {
    echo '<script language = javascript>
                    self.location = "../kardex.php?referencia=' . $referencia . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}
?>